package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.StatisticalFormDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface StatisticalFormMapper {

    List<Map> outboundCount(@Param("dto") StatisticalFormDto dto);

    List<Map> outboundByCal(@Param("dto") StatisticalFormDto dto);

    Page<Map> outboundInfo(Page page, @Param("dto") StatisticalFormDto dto);

    List<Map> outboundInfo(@Param("dto") StatisticalFormDto dto);

    List<Map> changeTableCount(@Param("dto") StatisticalFormDto dto);

    List<Map> changeTableByCal(@Param("dto") StatisticalFormDto dto);

    Page<Map> changeTableInfo(Page page, @Param("dto") StatisticalFormDto dto);

    List<Map> changeTableInfo(StatisticalFormDto dto);

    List<Map> scrapCount(@Param("dto") StatisticalFormDto dto);

    List<Map> scrapByCal(@Param("dto") StatisticalFormDto dto);

    Page<Map> scrapByInfo(Page page, @Param("dto") StatisticalFormDto dto);

    List<Map> scrapByInfo(@Param("dto") StatisticalFormDto dto);

    List<Map> disputeCount(@Param("dto") StatisticalFormDto dto);

    List<Map> disputeByCal(@Param("dto") StatisticalFormDto dto);

    Page<Map> disputeByInfo(Page page, @Param("dto") StatisticalFormDto dto);

    List<Map> disputeByInfo(@Param("dto") StatisticalFormDto dto);

}
